Subject: [6pack] Oil filter

From: [email-masked]
Date: Sun, 28 Apr 2013 20:47:57 -0700

I feel foolish for even asking this.  I have a wix filter on my car, and I'm
getting ready to change the oil.  Apparently I have the correct filter number
for the hondas, my daughters Z, and some cars I no longer even own!  But I
dont have the one for the tr6 (it has a spin on adapter).  I could remove the
old one, and then get the number and go to the flaps.  But it would be really
nice if someone could help me out here.

Thanks!

________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/6pack/[email-masked]